Bug 175646 - CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
impact=important,reported=20051103,pu...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 12:35 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-15 11:29:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-12-13 12:35:44 EST
+++ This bug was initially created as a clone of Bug #175645 +++

Numerous issue have been discovered in xpdf (which cups contains the source for)

An attacker could construct a carefully crafted PDF file that could cause Xpdf
to crash or possibly execute arbitrary code when opened. 

This issue should also affect FC3

I will attach a patch as soon as we have a complete one.
Comment 1 Josh Bressers 2005-12-14 10:30:28 EST
The patches for these issues are in attachment 122226 [details] and attachment 122227 [details].

The sooner we can have new packages rolled the better as the Christmas holiday
is quickly approaching.
Comment 2 Josh Bressers 2005-12-14 11:13:19 EST
There aren't currently any reproducers for these issues.

Please note that these issues affect xpdf, kdegraphics, cups, gpdf, tetex and
poppler.  Some cooperation will probably make things easier.
Comment 3 Tim Waugh 2005-12-14 12:46:01 EST
Packages ready.
Comment 4 Fedora Update System 2005-12-14 14:23:09 EST
From User-Agent: XML-RPC

cups-1.1.23-15.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.